


STUFF(1)		 USER COMMANDS			 STUFF(1)



NAME
     smem - OOGL shared	memory display and maintenance tool

SYNOPSIS
     smem  [-i]	[-a] [-v]

DESCRIPTION
     By	default, smem  displays	 the  current  list  of	 symbols,
     memory  usage, and	optionally other information about shared
     memory.  With the -i flag,	it erases the contents of  shared
     memory.

     Shared memory may be used to  pass	 OOGL  geometric  objects
     between  programs,	 for  example  from  stuff to MinneView's
     display.  Multiple	objects	may coexist in shared  memory  at
     once,  each  known	 by  its  symbol name, an arbitrary ASCII
     string.  Programs (e.g. stuff and MinneView) communicate  by
     reading and writing OOGL objects using the	same symbol name.
     smem displays these symbols.

     The displayed fields are:

	 Address - the	hexadecimal  address  of  the  symbol  in
	     shared memory
	 Size -	the size of the	symbol's data  portion,	 normally
	     irrelevant.
	 Version - the symbol's	version	number.	 Version  numbers
	     of	OOGL objects are normally odd numbers, and incre-
	     ment by two each time the object is replaced.
	 Name -	the symbol name.

     The -a option displays all	shared memory symbols.	Some sym-
     bols  are	used internally	by the OOGL library, for handling
     memory allocation (pid_<number>) or registering the types of
     objects   that   have   been   placed   in	  shared   memory
     (class_<typename>).  By default (without -a)  these  symbols
     are hidden.

     In	this release, shared memory is implemented using System	V
     shared-memory segments of 2 megabytes each.  Additional seg-
     ments are allocated as needed, up to a limit of 16	(32 mega-
     bytes).   [Storage	 for  them is allocated	not from any file
     system,  but  from	 the  system's	swap  area  as	shown  by
     swap(1M).]

     Smem -v displays  the  shared-memory  segment  keys  and  ID
     values  for  each	segment,  as  for  use	with  ipcs(1)  or
     ipcrm(1).

     The -i option erases the shared memory's symbol  table,  and
     attempts  to  delete all but the first 2-megabyte segment of
     shared memory.



Geometry Center	   Last	change:	20 August 1991			1






STUFF(1)		 USER COMMANDS			 STUFF(1)



     To	dump the contents of an	OOGL object in shared memory, use
     ``stuff -o''.


BUGS
     Smem -i may be unable to  delete  all  excess  shared-memory
     segments;	only the user who created a shared-memory segment
     can delete	it.  In	case this causes  trouble  (loss  of  too
     much swap space), get the original	user or	the super-user to
     run smem -i,  or  to  delete  the	segments  manually  using
     ``smem -v'' and ``ipcrm -m''.

     It	shouldn't really be necessary to do this sort  of  manual
     garbage collection	at all.


SEE ALSO
     stuff(1), MinneView(1), ipcs(1), ipcrm(1)





































Geometry Center	   Last	change:	20 August 1991			2



